WordPress.org

Support

Support » Plugins and Hacks » WP RSS Multi Importer » [Resolved] Can't get it to work properly, throws error message

[Resolved] Can't get it to work properly, throws error message

  • I have two problems.
    1. Throwing this error upon install of plugin: “true
    Warning: Invalid argument supplied for foreach() in /home/wwwprocd/public_html/wp-content/plugins/wp-rss-multi-importer/inc/upgrade.php on line 54″

    2. When I go through the setup and input the feed url, it shows the url as invalid and throws up a red box saying so. I know the feed address is correct.

    I really like the idea of this but so far I am dead in the water. Please help and thank you:-)

    http://wordpress.org/extend/plugins/wp-rss-multi-importer/

Viewing 13 replies - 1 through 13 (of 13 total)
  • Plugin Author Allen

    @amweiss98

    Not sure about the error..will need to check this out.

    Can you give me the rss feed that you think is ok?

    Hi Allen, I prefer not to give the rss feed address. I don’t want my competition to see we have a potential problem. It is fine though and is a popular recognized feed with no problems. Thanks

    Plugin Author Allen

    @amweiss98

    ok..if you’d like to send this to me privately, just go here:

    http://www.allenweiss.com/contact

    Best wishes,
    Allen

    Hi Allen,

    I just installed the plugin and immediately received the same warning, before even touching any setup options.

    Appreciate your help in advance – you’re obviously on the ball support-wise 🙂

    Plugin Author Allen

    @amweiss98

    Hi,
    Which error are you getting (the warning or the invalid feed). are you using the most recent version of the plugin (asking because not sure about that error since I’m trapping for it now).

    Thanks,
    Allen

    Hi Allen,

    Sorry for being imprecise 😉

    Upon activation of v. 2.47, received following error at top of plugins page:

    Warning: Invalid argument supplied for foreach() in /home/…/wp-content/plugins/wp-rss-multi-importer/inc/upgrade.php on line 54

    Thanks!

    Plugin Author Allen

    @amweiss98

    Ok…can you please do this..delete the plugin then download again. I put in code that should make this error not happen. Thanks

    Re-installed; warning message gone.

    Thanks for your super-quick response. Looking forward to using the plugin. 🙂

    Plugin Author Allen

    @amweiss98

    Great..glad to hear.

    Hi Allen,

    Thanks for your support. I have installed the plugin again the new version did not throw the line 54 error.

    I was also able to put in one feed address and pasted this shortcode ” [wp_rss_multi_importer]” on the page I wanted to try it.

    This is what the page shows where the feed is supposed to display “You have one feed and it’s not valid. This is likely a problem with the source of the RSS feed. Contact our support forum for help.”

    So I am still unable to get it work for me. Please what am I doing wrong and thanks again for your fantastic support.

    One more thing… When I load the actual url for the feed, it says this “This feed has errors” which we have already determined by email that the feed is correct. Thanks again:-)

    Plugin Author Allen

    @amweiss98

    there is no way to know why the feeds has errors until I know what the rss feed is. the program that determines whether there are errors is simplepie, which takes the rss url, sees if it can make a connection to the server that provides the feed, and then throws an error when it can’t get the feed.

    You can put this in as shortcode, and then send me what you see on the page. This will tell me what error you are getting:

    [wp_rss_multi_importer dumpthis=”1″]

    Plugin Author Allen

    @amweiss98

    also, I just sent you an email. The feed you are using has no mime type and that’s why it won’t work.

Viewing 13 replies - 1 through 13 (of 13 total)
  • The topic ‘[Resolved] Can't get it to work properly, throws error message’ is closed to new replies.
Skip to toolbar